


*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, Helvetica, sans-serif;
}

body{
    background: black;
    color:#fff;

}

.header{
    position: fixed;
    top: 0;
    left: 0;
    width: 100% ;
    padding: 20px 10px;
    background: transparent;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;

}

.logo{
    font-size: 25px;
    color: aliceblue;
    text-decoration: none;
    font-weight: 600;
    cursor: default;
    opacity: 0;
    animation: slideRight 1s ease forwards;
}

.navbar a{
    display: inline block;
    font-size: 18px;
    color:white;
    text-decoration: none;
    font-weight: 500;
    margin-left: 35px;
    transition:  .3s;
    opacity: 0;
    animation: slideTop .5s ease forwards;
    animation-delay: calc(.2s*var(--i));

}

.navbar a:hover,
.navbar a:active{
    color: skyblue;

}

.home{
    position: relative;
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 70px 10% 0;

}

.home-content{
    max-width: 600px;
}

.home-content h3{
    font-size: 32px;
    font-weight: 700;
     opacity: 0;
    animation: slideBottom 1s ease forwards;
    animation-delay: .7s;
}

.home-content h3:nth-of-type(2){
    margin-bottom: 30px;
     animation: slideTop 1s ease forwards;
    animation-delay: .7s;
}

.home-content h3 span{
    color: aqua;
}

.home-content h1{
    font-size: 56px;
    font-weight: 700;
    margin: -3px 0;
    opacity: 0;
    animation: slideRight 1s ease forwards;
    animation-delay: .1s;

}

.home-content p{
    font-size: 16px;
    opacity: 0;
    animation: slideLeft 1s ease forwards;
    animation-delay: .1s;
}

.home-img img{
    max-width: 420px;
    margin-right: -20px;
    opacity: 0;
    animation: zoomIn 1s ease forwards,floatImage 4s ease-in-out infinite;
    animation-delay: 2s , 3s;
    border-radius: 90%;
    border:7px solid aqua;
    box-shadow: 0 0 80px aqua;

}


.social-media a{
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    background: transparent;
    border: 2px solid aqua;
    border-radius: 50%;
    font-size: 20px;
    color: aqua;
    text-decoration: none;
    margin: 30px 15px 30px 0;
    transition: .5s ease;
    opacity: 0;
    animation: slideLeft 1s ease forwards;
    animation-delay: calc(.2s *  var(--i));
}

.social-media a:hover{
    background: aqua;
    color: black;
    box-shadow: 0 0 20px aqua;

}

.btn{
    display: inline-block;
    padding: 12px 28px;
    background: aqua;
    border-radius: 40px;
    box-shadow: 0 0 10px aqua;
    font-size: 16px;
    color: black;
    letter-spacing: 1px;
    text-decoration: none;
    font-weight: 600;
    opacity: 0;
    animation: slideTop 1s ease forwards;
    animation-delay: 2s;

}

/*KEYFRAMES ANIMATION */

@keyframes slideRight {
    0%{
        transform: translateX(-100px);
        opacity: 0;
    }

     100%{
        transform: translateX(0);
        opacity: 1;
    }
    
}
@keyframes slideLeft {
    0%{
        transform: translateX(100px);
        opacity: 0;
    }

     100%{
        transform: translateX(0);
        opacity: 1;
    }
    
}

@keyframes slideTop {
    0%{
        transform: translateY(100px);
        opacity: 0;
    }

     100%{
        transform: translateY(0);
        opacity: 1;
    }
    
}

@keyframes slideBottom {
    0%{
        transform: translateY(-100px);
        opacity: 0;
    }

     100%{
        transform: translateY(0);
        opacity: 1;
    }
    
}

@keyframes zoomIn {
    0%{
        transform: scale(0);
        opacity: 0;
    }

     100%{
        transform: scale(1);
        opacity: 1;
    }
    
}

@keyframes floaImage {
    0%{
        transform: translateY(0);
    }

   50%{
        transform: translateY(-24px);
    }

    100%{
        transform: translateY(0);
    }
}



.skills {
    padding: 100px 10%;
    background: #111;
    text-align: center;
}

.heading {
    font-size: 40px;
    margin-bottom: 50px;
}

.heading span {
    color: aqua;
}

.skills-container {
    display: flex;
    justify-content: center;
    gap: 30px;
    flex-wrap: wrap;
}

.skills-box {
    background: #1a1a1a;
    padding: 30px;
    border-radius: 20px;
    width: 250px;
    border: 2px solid aqua;
    transition: .5s;
}

.skills-box:hover {
    transform: translateY(-10px);
    box-shadow: 0 0 20px aqua;
}

.skills-box h3 {
    margin-bottom: 15px;
    color: aqua;
}

.skills {
    opacity: 0;
    max-height: 0;
    overflow: hidden;
    transition: all 0.5s ease;
}

.skills.show {
    opacity: 1;
    max-height: 1000px;
}



.skills, .contact {
    opacity: 0;
    max-height: 0;
    overflow: hidden;
    transition: all 0.5s ease;
    padding: 0 10%;
}

.skills.show, .contact.show {
    opacity: 1;
    max-height: 1000px;
    padding: 80px 10%;
}

.about {
    opacity: 0;
    max-height: 0;
    overflow: hidden;
    transition: all 0.5s ease;
    padding: 0 10%;
    background: #111;
}

.about.show {
    opacity: 1;
    max-height: 1000px;
    padding: 80px 10%;
}

.about-content {
    text-align: center;
}

.about-content h3 {
    margin: 20px 0;
    color: aqua;
}
.contact-content {
    background: #1a1a1a;
    padding: 30px;
    border-radius: 20px;
    border: 2px solid aqua;
    width: 300px;
    margin: 30px auto;
    text-align: center;
}
.heading2 {
    text-align: center;
    font-size: 40px;
    margin-bottom: 50px;
}
.heading2 span {
    color: aqua;
}
.contact-content:hover {
    transform: translateY(-10px);
    box-shadow: 0 0 20px aqua;
     transition: .5s ease-in;
}